Next: towlower, Previous: iswctype, Up: Ctype

### 3.28 `wctype`—get wide-character classification type

Synopsis

         #include <wctype.h>
         wctype_t wctype(const char *c);

Description
`wctype` is a function which takes a string c and gives back the appropriate wctype_t type value associated with the string, if one exists. The following values are guaranteed to be recognized: "alnum", "alpha", "blank", "cntrl", "digit", "graph", "lower", "print", "punct", "space", "upper", and "xdigit".

Returns
`wctype` returns 0 and sets `errno` to `EINVAL` if the given name is invalid. Otherwise, it returns a valid non-zero wctype_t value.

Portability
`wctype` is C99.

No supporting OS subroutines are required.